#include "GameObject.h"
#include "LD.h"



GameObject::GameObject( LD::GameObjectType Type ) :
  X( 0 ),
  Y( 0 ),
  XFract( 0.0f ),
  YFract( 0.0f ),
  Width( 20 ),
  Height( 20 ),
  Angle( 0.0f ),
  RemoveMe( false ),
  m_Type( Type ),
  Hidden( false )
{
}


GameObject::~GameObject()
{
}



void GameObject::Display()
{
  theApp.RenderTextureSection2d( X, Y, theApp.m_TexSec[m_Texture], 0xffffffff, 0xffffffff, 0xffffffff, 0xffffffff, Width, Height );
}



void GameObject::Update( Level& Level, float ElapsedTime )
{
}



RECT GameObject::Bounds()
{
  RECT    rc;

  SetRect( &rc, X, Y, X + Width, Y + Height );

  return rc;
}



void GameObject::OnObjectRemoved( Level& Level, GameObject* pKilledObject )
{
}